com.orsoncharts.util

## Class SerialUtils

- java.lang.Object
- - com.orsoncharts.util.SerialUtils

-     public class SerialUtils
      extends java.lang.Object

  Serialization support methods.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Paint` | `readPaint(java.io.ObjectInputStream stream)` Reads a `Paint` object that has been serialized by the `writePaint(Paint, ObjectOutputStream)` method.
    `static java.awt.Stroke` | `readStroke(java.io.ObjectInputStream stream)` Reads a `Stroke` object that has been serialized by the `writeStroke(Stroke, ObjectOutputStream)` method.
    `static void` | `writePaint(java.awt.Paint paint, java.io.ObjectOutputStream stream)` Serializes a `Paint` object.
    `static void` | `writeStroke(java.awt.Stroke stroke, java.io.ObjectOutputStream stream)` Serializes a `Stroke` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readPaint

          public static java.awt.Paint readPaint(java.io.ObjectInputStream stream)
                                          throws java.io.IOException,
                                                 java.lang.ClassNotFoundException

      Reads a `Paint` object that has been serialized by the `writePaint(Paint, ObjectOutputStream)` method.
      Parameters:
        `stream` - the input stream (`null` not permitted).
      Returns:
        The paint object (possibly `null`).
      Throws:
        `java.io.IOException` - if there is an I/O problem.
        `java.lang.ClassNotFoundException` - if there is a problem loading a class.

    - #### writePaint

          public static void writePaint(java.awt.Paint paint,
                                        java.io.ObjectOutputStream stream)
                                 throws java.io.IOException

      Serializes a `Paint` object.
      Parameters:
        `paint` - the paint object (`null` permitted).
        `stream` - the output stream (`null` not permitted).
      Throws:
        `java.io.IOException` - if there is an I/O error.

    - #### readStroke

          public static java.awt.Stroke readStroke(java.io.ObjectInputStream stream)
                                            throws java.io.IOException,
                                                   java.lang.ClassNotFoundException

      Reads a `Stroke` object that has been serialized by the `writeStroke(Stroke, ObjectOutputStream)` method.
      Parameters:
        `stream` - the input stream (`null` not permitted).
      Returns:
        The stroke object (possibly `null`).
      Throws:
        `java.io.IOException` - if there is an I/O problem.
        `java.lang.ClassNotFoundException` - if there is a problem loading a class.

    - #### writeStroke

          public static void writeStroke(java.awt.Stroke stroke,
                                         java.io.ObjectOutputStream stream)
                                  throws java.io.IOException

      Serializes a `Stroke` object. This code handles the `BasicStroke` class which is the only `Stroke` implementation provided by the JDK (and isn't directly `Serializable`).
      Parameters:
        `stroke` - the stroke object (`null` permitted).
        `stream` - the output stream (`null` not permitted).
      Throws:
        `java.io.IOException` - if there is an I/O error.